Patch Adapter Instance

Patch Adapter Instance
Patch an Adapter Instance

This is typically used to indicate VMware Cloud Foundation operations that the certificates presented by
the (data source for which the adapter instance) was created are indeed valid
certificates.
Typically the response of the POST /api/adapters API in its entirety needs to be
sent as request body when making this PATCH /api/adapters API invocation.
NOTE: In case the provided certificate list is empty, the adapter instance self-signed certificates will be reset.
NOTE: for VCF and vCenter cloud accounts please use /api/integrations/vcenters and /api/integrations/vcf APIs respectively

Request
URI
PATCH
https://{api_host}/suite-api/api/adapters
COPY
Request Body

The adapter instance creation request.

adapter-instance of type(s) application/json
Required

Show optional properties

{
    "resourceKey": {
        "adapterKindKey": "string",
        "name": "string",
        "resourceKindKey": "string"
    }
}
"{\n  \"resourceKey\" : {\n    \"name\" : \"Adapter for VC@https://ip/sdk\",\n    \"adapterKindKey\" : \"VMWARE\",\n    \"resourceKindKey\" : \"VMwareAdapter Instance\",\n    \"resourceIdentifiers\" : [ {\n      \"identifierType\" : {\n        \"name\" : \"AUTODISCOVERY\",\n        \"dataType\" : \"STRING\",\n        \"isPartOfUniqueness\" : true\n      },\n      \"value\" : \"true\"\n    }, {\n      \"identifierType\" : {\n        \"name\" : \"PROCESSCHANGEEVENTS\",\n        \"dataType\" : \"STRING\",\n        \"isPartOfUniqueness\" : true\n      },\n      \"value\" : \"true\"\n    }, {\n      \"identifierType\" : {\n        \"name\" : \"VCURL\",\n        \"dataType\" : \"STRING\",\n        \"isPartOfUniqueness\" : true\n      },\n      \"value\" : \"https://ip/sdk\"\n    } ]\n  },\n  \"description\" : \"update certificates for adapter instance...\",\n  \"adapter-certificates\" : [ {\n    \"thumbprint\" : \"e21e01b8-01a8-4369-aaf1-56205cf7c061\"\n  } ],\n  \"physicalDatacenterId\" : \"00cf8447-113a-476e-936c-f4bb6c137c82\",\n  \"id\" : \"4206e2ea-79d9-4a56-bac0-273adc75225f\"\n}"
array of object
adapter-certificates
Optional

The set of untrusted certificates returned by the adapter source

string As uuid As uuid
collectorGroupId
Optional

The ID of the collector group. If not specified, the system will choose an appropriate Collector group for you

integer As int32 As int32
collectorId
Optional

The ID of the Collector that manages this adapter instance. This is optional and if not specified, system will choose an appropriate collector.

string As uuid As uuid
credentialInstanceId
Optional

The Credential Instance identifier used by this adapter instance

string
description
Optional

Optional description of the Adapter instance

string As uuid As uuid
id
Optional

The UUID of the adapter instance

integer As int64 As int64
lastCollected
Optional

Last time adapter instance reported collection of resources/stats.

integer As int64 As int64
lastHeartbeat
Optional

Last time when this adapter instance communicated with VMware Cloud Foundation Operations Server.

array of object
links
Optional

Represents a HTTP 'link' element.
It is implicit that all the link tags support http 'GET' method.

string
messageFromAdapterInstance
Optional

Any message from the adapter instance.

integer As int32 As int32
monitoringInterval
Optional
Constraints: minimum: 0

Minutes part of the monitoring Interval of the Adapter Instance.

integer As int32 As int32
monitoringIntervalSeconds
Optional
Constraints: minimum: 0

Seconds part of the monitoring Interval of the Adapter Instance

integer As int32 As int32
numberOfMetricsCollected
Optional

The number of metrics reported by this adapter instance.

integer As int32 As int32
numberOfResourcesCollected
Optional

The number of resources being monitored by this resource.

string As uuid As uuid
physicalDatacenterId
Optional

The Physical Datacenter ID to be used for this Adapter Instance.It is Optional

object
resourceKey
Required

Represents a composite key for uniquely identifying a Resource.

Authentication
This operation uses the following authentication methods.
Responses
200

The adapter instance that was updated

Returns adapter-instance of type(s) application/json
"{\n  \"resourceKey\" : {\n    \"name\" : \"VC Adapter for 10.20.88.111\",\n    \"adapterKindKey\" : \"VMWARE\",\n    \"resourceKindKey\" : \"Adapter\",\n    \"resourceIdentifiers\" : [ ]\n  },\n  \"description\" : \"A vCenter Adapter Instance\",\n  \"collectorId\" : 1,\n  \"credentialInstanceId\" : \"6f455a29-3330-47b6-9128-a608bca9d2c7\",\n  \"id\" : \"725cbdae-812e-4e98-9972-53c58f51661b\"\n}"
array of object
adapter-certificates
Optional

The set of untrusted certificates returned by the adapter source

string As uuid As uuid
collectorGroupId
Optional

The ID of the collector group. If not specified, the system will choose an appropriate Collector group for you

integer As int32 As int32
collectorId
Optional

The ID of the Collector that manages this adapter instance. This is optional and if not specified, system will choose an appropriate collector.

string As uuid As uuid
credentialInstanceId
Optional

The Credential Instance identifier used by this adapter instance

string
description
Optional

Optional description of the Adapter instance

string As uuid As uuid
id
Optional

The UUID of the adapter instance

integer As int64 As int64
lastCollected
Optional

Last time adapter instance reported collection of resources/stats.

integer As int64 As int64
lastHeartbeat
Optional

Last time when this adapter instance communicated with VMware Cloud Foundation Operations Server.

array of object
links
Optional

Represents a HTTP 'link' element.
It is implicit that all the link tags support http 'GET' method.

string
messageFromAdapterInstance
Optional

Any message from the adapter instance.

integer As int32 As int32
monitoringInterval
Optional
Constraints: minimum: 0

Minutes part of the monitoring Interval of the Adapter Instance.

integer As int32 As int32
monitoringIntervalSeconds
Optional
Constraints: minimum: 0

Seconds part of the monitoring Interval of the Adapter Instance

integer As int32 As int32
numberOfMetricsCollected
Optional

The number of metrics reported by this adapter instance.

integer As int32 As int32
numberOfResourcesCollected
Optional

The number of resources being monitored by this resource.

string As uuid As uuid
physicalDatacenterId
Optional

The Physical Datacenter ID to be used for this Adapter Instance.It is Optional

object
resourceKey
Required

Represents a composite key for uniquely identifying a Resource.


400

If patch 'adapter instance' failed. Typically the service will return extra information as to why update failed.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"resourceKey":"object"}'